Index: orxonox/trunk/article.txt
===================================================================
--- orxonox/trunk/article.txt	(revision 1906)
+++ orxonox/trunk/article.txt	(revision 1909)
@@ -4,4 +4,5 @@
 Ihr wisst alle, was Open Source Software ist. Das sagt euch nichts? Lasst es mich kurz erklren: Open Source beinhaltet die Freiheit, Software gratis benutzen, verbessern und weiterentwickeln zu drfen. 
 In der Praxis heisst das, ihr erhaltet den Source Code, ihr macht daraus was ihr wollt und stellt es der Welt wieder zur Verfgung. Durch diese Freiheiten knnen mehrere Programmierer ihre Strken ausspielen, damit das Endprodukt optimal wird. Nun, das war noch nicht die ganze Wahrheit. Open Source ist nicht nur eine bestimmte Art Software zu entwickeln, es ist bei verschiedenen Programmierern schon zu einer Art Religion geworden. Open Source Programmierer werden beflgelt von der Idee, dass ein Programmiercode, der von tausenden von Menschen auf der Erde angesehen und verbessert wurde, eine Reife erhlt, die nicht von Einzelpersonen oder Teams erbracht werden knnte. Dazu kommt der Gedanke, dass viele Menschen, oft verstreut ber den ganzen Globus, an einem Problem arbeiten, was das globale Verstndnis frdert.
+Alles Klar? Dann naechsten Abschnitt ueberspringen, bevor es langweilig wird :)
 
 Dass eine Zusammenarbeit, ohne dass man sich sehen kann, etwas Kompliziertes ist, leuchtet euch wohl allen ein. Was sind die Voraussetzungen, damit man Millionen von Lichtjahren Distanzen zum Trotz, miteinander arbeiten kann? Kommunikation und Teilen des erzeugten Codes. Im Verlaufe der Jahre haben sich mehrere Mglichkeiten durchgesetzt, um diese Voraussetzungen zu erfllen. Fr die Kommunikation sind dies: Email, Mailing-Lists und IRC oder aber ein neuartigeres Chatprogramm (ICQ, AIM, MSN, Yahoo,...).
@@ -20,14 +21,14 @@
 Team: Unter "wir" verstehen wir momentan Patrick Bnzli, Benjamin Grauer, Johannes Bader, Simon Hofmann, Adrian Buerli und David Grtter.
 
-Seit etwa einem Monat arbeiten wir pausenlos an einem Framework fr dieses Game. Und wir nun haben wir es vollbracht: man kann einen Wrfel steuern, der seinerseits kleine Wrfel abschiessen kann, whrend am Boden ein paar schwer erahnbare Berge vorbeisausen. Die Grafik ist in OpenGL implementiert und zeichnet unsere Welt in 3D, momentan noch in Wireframe (alles Striche, noch keine Oberflchen). Ihr werden jetzt vielleicht sagen: Also was soll denn das fr ein Game werden?
+Seit etwa einem Monat arbeiten wir pausenlos an einem Framework fr dieses Game. Und nun haben wir es vollbracht: man kann einen Wrfel steuern, der seinerseits kleine Wrfel abschiessen kann, whrend am Boden ein paar schwer erahnbare Berge vorbeisausen. Die Grafik ist in OpenGL implementiert und zeichnet unsere Welt in 3D, momentan noch in Wireframe (alles Striche, noch keine Oberflchen). Ihr werden jetzt vielleicht sagen: Also was soll denn das fr ein Game werden?
 1. Das sind die Grundlagen, am besten macht man alles schn Schritt fr Schritt...
-2. Orxonox soll nicht das mega-ultra-krasse Arcade Game werden, dass uns alle berhmt machen soll. Es macht Spass daran zu arbeiten. Es macht Spass naechtelang an kleinen Algorithmen sich die Zaehne auszubeissen und dann am schluss stolz 2fps mehr aufweisen zu duerfen.
+2. Orxonox soll nicht das mega-ultra-krasse Arcade Game werden, dass uns alle berhmt werden laesst. Es macht Spass daran zu arbeiten. Insbesondere macht es Spass, naechtelang an kleinen Algorithmen sich die Zaehne auszubeissen und dann am Schluss einen Code zu haben, der stolz 2fps schneller laeuft...
 
-And now, I'll make you an offer, you can't refuse :) Wir suchen Programmierinnen und Modler, Soundarchitekten und Grafiker mit Geek-Level 4.3, die Lust htten bei uns mitzumachen. Wenn du dich angesprochen fhlst, oder einfach nur Lust hast, dann bist du sehr willkommen.
+And now, I'll make you an offer, you can't refuse :) Wir suchen Programmierinnen und Modler, Soundarchitekten und Grafikinnen mit Geek-Level 4.3, die Lust htten bei uns mitzumachen. Wenn du dich angesprochen fhlst, oder einfach nur Lust hast, dann bist du sehr willkommen.
 Du willst nichts mit dem Computer machen und trotzdem helfen? Hmm... Wir freuen uns natrlich immer ber kleinere nicht-finanzielle Gaben wie Bier, Wein, Kaffee, Teddybren, Grill-Artikel, nette Mails, bse Mails, Bugreports, Opfergaben, etc.
-Fuer alle zukuenftigen Orxonox-developer uns kennenzulernen: Orxonox Convention am Mittwoch, 09.Juni, ab 1400Uhr im StuZ Foyer. Unsere Themen sind:  Linux/Windows einrichten, damit Orxonox drauf laeuft und man programmieren kann. Einfuehrung in den Source Codes und ein paar Vortraege zu: C++ OOP, OpenGL Introduction und vieles mehr. Und dann coden mit Bier und Sound, so wie man's gern hat...
-Falls ihr an der Convention vorbeischauen wollt, schreibt mir doch eine Mail: boenzlip@ee.ethz.ch oder tragt euch grad in der mailinsliste ein. Nur so, damit wir wissen, wieviel Bier wir einkaufen muessen...
+Fuer alle zukuenftigen Orxonox-developer die Moeglichkeit uns kennenzulernen: Orxonox Convention am Mittwoch, 09.Juni, ab 1400Uhr im StuZ Foyer. Unsere Themen sind:  Linux/Windows einrichten, damit Orxonox drauf laeuft und man programmieren kann. Einfuehrung in den Source Code und ein paar Vortraege zu: C++ OOP, OpenGL Introduction, Subversion und vieles mehr. Und dann coden mit Bier und Sound, so wie man's gern hat...
+Falls ihr an der Convention vorbeischauen wollt, schreibt mir doch eine Mail: boenzlip@ee.ethz.ch oder tragt euch grad in der Mailinsliste ein. Nur so, damit wir wissen, wieviel Bier eingekauft werden muss...
 
-Homepage fuer mehr Infos: www.orxonox.ethz.ch
+Homepage: www.orxonox.ethz.ch
 Mailinglisten: 
 https://mail.datacore.ch/mailman/listinfo/orxonox-announce