Index: code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 1912)
+++ code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 1918)
@@ -192,16 +192,4 @@
 				>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Ambient.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Backlight.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\BillboardProjectile.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Camera.cc"
 					>
@@ -212,66 +200,10 @@
 				</File>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Model.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\NPC.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\ParticleProjectile.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\ParticleSpawner.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Projectile.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Radar.cc"
 					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
 				</File>
 				<File
 					RelativePath="..\..\src\orxonox\objects\RadarListener.cc"
 					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -280,25 +212,5 @@
 				</File>
 				<File
-					RelativePath="..\..\src\orxonox\objects\RotatingProjectile.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Skybox.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\SpaceShip.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\SpaceShipAI.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\WorldEntity.cc"
 					>
 				</File>
@@ -580,16 +492,4 @@
 				>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Ambient.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Backlight.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\BillboardProjectile.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Camera.h"
 					>
@@ -600,24 +500,4 @@
 				</File>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Model.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\NPC.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\ParticleProjectile.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\ParticleSpawner.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Projectile.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Radar.h"
 					>
@@ -632,25 +512,5 @@
 				</File>
 				<File
-					RelativePath="..\..\src\orxonox\objects\RotatingProjectile.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Skybox.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\SpaceShip.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\SpaceShipAI.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\WorldEntity.h"
 					>
 				</File>