Index: code/branches/physics/visual_studio/vc8/base.vsprops
===================================================================
--- code/branches/physics/visual_studio/vc8/base.vsprops	(revision 1913)
+++ code/branches/physics/visual_studio/vc8/base.vsprops	(revision 1919)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;;&quot;$(LibDir)ode-0.10.1\include&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI"
 		WarningLevel="3"
@@ -21,5 +21,5 @@
 		Name="VCLinkerTool"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
-		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)cegui-0.6.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)enet-1.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)freealut-1.1.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libogg-1.1.3\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)ogre-1.4.9\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)openal-1.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)tcl-8.5.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)zlib-1.2.3\lib\$(ConfigurationName)&quot;"
+		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)cegui-0.6.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)enet-1.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)freealut-1.1.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libogg-1.1.3\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)ode-0.10.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)ogre-1.4.9\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)openal-1.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)tcl-8.5.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)zlib-1.2.3\lib\$(ConfigurationName)&quot;"
 		SubSystem="1"
 		ImportLibrary="$(IntDir)\$(TargetName).lib"
Index: code/branches/physics/visual_studio/vc8/ogreode.vcproj
===================================================================
--- code/branches/physics/visual_studio/vc8/ogreode.vcproj	(revision 1919)
+++ code/branches/physics/visual_studio/vc8/ogreode.vcproj	(revision 1919)
@@ -0,0 +1,314 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ogreode"
+	ProjectGUID="{BBA88DC2-CD78-4C00-814B-183899090F3E}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets=".\debug.vsprops;.\ogreode.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets=".\release.vsprops;.\ogreode.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeBody.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeCollision.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeDebugContact.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeDebugObject.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeEigenSolver.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeEntityInformer.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeGeometry.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeJoint.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeMass.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdePrecompiledHeaders.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+						PrecompiledHeaderThrough="OgreOdePrecompiledHeaders.h"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeSpace.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeStepper.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshData.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshDataManager.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeUtility.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeWorld.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOde_Core.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeBody.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeCollision.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeDebugContact.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeDebugObject.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeEigenSolver.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeEntityInformer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeFrameListener.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeGeometry.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeJoint.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeMaintainedList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeMass.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdePrecompiledHeaders.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdePreReqs.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeSpace.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeStepper.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshData.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeTriangleMeshDataManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeUtility.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogreode\OgreOdeWorld.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics/visual_studio/vc8/ogreode.vsprops
===================================================================
--- code/branches/physics/visual_studio/vc8/ogreode.vsprops	(revision 1919)
+++ code/branches/physics/visual_studio/vc8/ogreode.vsprops	(revision 1919)
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ogreode"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2 /Zm200"
+		PreprocessorDefinitions="OGREODE_EXPORTS;_PRECOMP"
+		UsePrecompiledHeader="2"
+		PrecompiledHeaderThrough="OgreOdePrecompiledHeaders.h"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CS).lib ode_single$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/physics/visual_studio/vc8/orxonox.vsprops
===================================================================
--- code/branches/physics/visual_studio/vc8/orxonox.vsprops	(revision 1913)
+++ code/branches/physics/visual_studio/vc8/orxonox.vsprops	(revision 1919)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
+		AdditionalOptions="/MP2 /Zm200"
 		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;LUA_BUILD_AS_DLL"
 		UsePrecompiledHeader="2"
@@ -22,5 +22,5 @@
 		Name="VCPostBuildEventTool"
 		Description="Copying files from init folder..."
-		CommandLine="for %%a in ($(RootDir)\init\$(SolutionName)\$(ConfigurationName)\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;for %%a in ($(RootDir)\init\common\*) do replace %%a $(OutDir). /A &gt;nul"
+		CommandLine="for %%a in ($(RootDir)\init\$(SolutionName)\$(ConfigurationName)\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;for %%a in ($(RootDir)\init\common\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/physics/visual_studio/vc8/orxonox_vc8.sln
===================================================================
--- code/branches/physics/visual_studio/vc8/orxonox_vc8.sln	(revision 1913)
+++ code/branches/physics/visual_studio/vc8/orxonox_vc8.sln	(revision 1919)
@@ -142,4 +142,10 @@
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ogreode", "ogreode.vcproj", "{BBA88DC2-CD78-4C00-814B-183899090F3E}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
@@ -148,4 +154,8 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
 		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.ActiveCfg = Debug|Win32
 		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.Build.0 = Debug|Win32
@@ -184,8 +194,4 @@
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
 		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
 		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
@@ -208,4 +214,8 @@
 		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Release|Win32.ActiveCfg = Release|Win32
 		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Release|Win32.Build.0 = Release|Win32
+		{BBA88DC2-CD78-4C00-814B-183899090F3E}.Debug|Win32.ActiveCfg = Debug|Win32
+		{BBA88DC2-CD78-4C00-814B-183899090F3E}.Debug|Win32.Build.0 = Debug|Win32
+		{BBA88DC2-CD78-4C00-814B-183899090F3E}.Release|Win32.ActiveCfg = Release|Win32
+		{BBA88DC2-CD78-4C00-814B-183899090F3E}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -223,4 +233,5 @@
 		{C6692661-9160-49E6-B109-A155F9485402} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
+		{BBA88DC2-CD78-4C00-814B-183899090F3E} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 	EndGlobalSection
 EndGlobal