Index: code/branches/physics/src/ogreode/CMakeLists.txt
===================================================================
--- code/branches/physics/src/ogreode/CMakeLists.txt	(revision 1920)
+++ code/branches/physics/src/ogreode/CMakeLists.txt	(revision 1922)
@@ -18,2 +18,5 @@
 
 ADD_LIBRARY(ogreode_orxonox SHARED ${OGREODE_SRC_FILES})
+
+TARGET_LINK_LIBRARIES(ogreode_orxonox ${ODE_LIBRARIES})
+
Index: code/branches/physics/src/ogreode/OgreOdeBody.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeBody.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeBody.cpp	(revision 1922)
@@ -91,6 +91,6 @@
     //UserDefinedObject(),
     _name(name), 
-    _world(world),
-	_modify_parent_orientation(true)
+	_modify_parent_orientation(true),
+    _world(world)
 { 
 	_body_count++;
@@ -818,6 +818,7 @@
         // We can't do this properly without mesh collision
         geom = *proxy;
-        Ogre::Real maxdist = -1.0f;
-        const Ogre::Plane* bestPlane = 0;
+		// Two unused variables
+        //Ogre::Real maxdist = -1.0f;
+        //const Ogre::Plane* bestPlane = 0;
         for (pi = wf->planes->begin(); pi != piend; ++pi)
         {
@@ -853,2 +854,3 @@
     return collided;
 }
+
Index: code/branches/physics/src/ogreode/OgreOdeBody.h
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeBody.h	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeBody.h	(revision 1922)
@@ -418,2 +418,3 @@
 
 #endif
+
Index: code/branches/physics/src/ogreode/OgreOdeCollision.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeCollision.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeCollision.cpp	(revision 1922)
@@ -322,2 +322,3 @@
 }
 //------------------------------------------------------------------------------------------------
+
Index: code/branches/physics/src/ogreode/OgreOdeDebugContact.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeDebugContact.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeDebugContact.cpp	(revision 1922)
@@ -28,7 +28,7 @@
     //------------------------------------------------------------------------------------------------
     DebugContact::DebugContact(const String &name, World *world) : 
+        _enabled(false),
         _name(name), 
-        _world(world),
-        _enabled(false)
+        _world(world)
     {
         // scene node 
@@ -115,20 +115,20 @@
                                 int charHeight, 
                                 const ColourValue &color)
-        : mpCam(NULL)
-        , mpWin(NULL)
-        , mpFont(NULL)
+        : mFontName(fontName)
+        , mType("DebugContact")
         , mName(name)
         , mCaption(caption)
-        , mFontName(fontName)
+        , mHorizontalAlignment(H_LEFT)
+        , mVerticalAlignment(V_BELOW)
+        , mColor(color)
         , mCharHeight(charHeight)
-        , mColor(color)
-        , mType("DebugContact")
-        , mTimeUntilNextToggle(0)
         , mSpaceWidth(0)
         , mUpdateColors(true)
         , mOnTop(false)
-        , mHorizontalAlignment(H_LEFT)
-        , mVerticalAlignment(V_BELOW)
+        , mTimeUntilNextToggle(0)
         , mAdditionalHeight(0.0)
+        , mpCam(NULL)
+        , mpWin(NULL)
+        , mpFont(NULL)
         , mNode(node)
 
@@ -317,5 +317,6 @@
         bind->setBinding(COLOUR_BINDING, cbuf);
 
-        size_t charlen = mCaption.size();
+		// Unused variable
+        //size_t charlen = mCaption.size();
         Real *pPCBuff = static_cast<Real*>(ptbuf->lock(HardwareBuffer::HBL_DISCARD));
 
@@ -326,5 +327,5 @@
         // Derive space width from a capital A
         if (mSpaceWidth == 0)
-            mSpaceWidth = mpFont->getGlyphAspectRatio('A') * mCharHeight * 2.0;
+            mSpaceWidth = (unsigned int)(mpFont->getGlyphAspectRatio('A') * mCharHeight * 2.0);
 
         // for calculation of AABB
Index: code/branches/physics/src/ogreode/OgreOdeDebugContact.h
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeDebugContact.h	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeDebugContact.h	(revision 1922)
@@ -161,2 +161,3 @@
 
 #endif
+
Index: code/branches/physics/src/ogreode/OgreOdeDebugObject.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeDebugObject.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeDebugObject.cpp	(revision 1922)
@@ -160,4 +160,8 @@
 			case DebugObject::Mode_Static:
 				setMaterial("OgreOdeDebugLines/Static");
+			break;
+
+			case DebugObject::Mode_Unknown:
+				// don't do anything. Not handled.
 			break;
 		}
Index: code/branches/physics/src/ogreode/OgreOdeEntityInformer.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeEntityInformer.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeEntityInformer.cpp	(revision 1922)
@@ -262,11 +262,11 @@
 //------------------------------------------------------------------------------------------------
 EntityInformer::EntityInformer(Entity *entity,const Matrix4 &transform) :
+	_radius (-1),
+	_size (Vector3(-1,-1,-1)),
+	_center (Vector3(-1,-1,-1)),
 	_vertices (0),
 	_indices (0),
 	_vertex_count (0),
 	_index_count (0),
-	_size (Vector3(-1,-1,-1)),
-	_center (Vector3(-1,-1,-1)),
-	_radius (-1),
 	_bone_mapping (0)
 {
@@ -275,11 +275,11 @@
 //------------------------------------------------------------------------------------------------
 EntityInformer::EntityInformer() :
+		_radius (-1),
+		_size (Vector3(-1,-1,-1)),
+		_center (Vector3(-1,-1,-1)),
 		_vertices (0),
 		_indices (0),
 		_vertex_count (0),
 		_index_count (0),
-		_size (Vector3(-1,-1,-1)),
-		_center (Vector3(-1,-1,-1)),
-		_radius (-1),
         _bone_mapping (0)
 {
Index: code/branches/physics/src/ogreode/OgreOdeEntityInformer.h
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeEntityInformer.h	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeEntityInformer.h	(revision 1922)
@@ -77,5 +77,5 @@
 		EntityInformerReuse(const Ogre::MeshPtr &mesh, const Ogre::Vector3 &scale = Ogre::Vector3::UNIT_SCALE, bool forceRecreate = false);
 		
-		~EntityInformerReuse();
+		virtual ~EntityInformerReuse();
 		
 		/** Creates TriangleMeshGeometry using TriangleMeshDataPtr 
Index: code/branches/physics/src/ogreode/OgreOdeGeometry.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeGeometry.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeGeometry.cpp	(revision 1922)
@@ -20,15 +20,15 @@
 Geometry::Geometry(World *world, Space* space):
     UserDefinedObject(),
+	_geom (0),
+	_max_contacts (32),
 	_contact_high_water_mark (0),
     _last_contact_num(0),
-	_max_contacts (32),
-    _debug_contacts (0),
 	_contacts (0),
-	_encapsulator (0),
 	_debug_obj (0),
 	_debug_node (0),
+    _debug_contacts (0),
+	_encapsulator (0),
 	_user_data (0),
 	_user_object (0),
-	_geom (0),
     _world(world)
 {
@@ -1211,10 +1211,10 @@
                                 Ogre::Real thickness) :
                         Geometry(world, space),
+                        _max_height (scale.y),
                         _sample_width(scale.x),
                         _sample_height(scale.z),
-                        _max_height (scale.y),
+                        _centered(centered),
                         _halfWorldSizeX(worldSizeX * 0.5),
-                        _halfWorldSizeZ(worldSizeZ * 0.5),
-                        _centered(centered)
+                        _halfWorldSizeZ(worldSizeZ * 0.5)
 {
 	dHeightfieldDataID heightid = dGeomHeightfieldDataCreate();
Index: code/branches/physics/src/ogreode/OgreOdeGeometry.h
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeGeometry.h	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeGeometry.h	(revision 1922)
@@ -395,5 +395,5 @@
 		void changeTriangleMeshData(TriangleMeshDataPtr dataPtr);
 		
-		TriangleMeshDataPtr TriangleMeshGeometry::getTriangleMeshData(){ return _dataPtr; }
+		TriangleMeshDataPtr getTriangleMeshData(){ return _dataPtr; }
 		
 		~TriangleMeshGeometry();
Index: code/branches/physics/src/ogreode/OgreOdeSpace.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeSpace.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeSpace.cpp	(revision 1922)
@@ -14,6 +14,6 @@
 //------------------------------------------------------------------------------------------------
 Space::Space(World *world, const Space* space) :
-    _world(world),
-    _internal_collisions (true)
+    _internal_collisions (true),
+    _world(world)
 {
 }
Index: code/branches/physics/src/ogreode/OgreOdeStepper.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeStepper.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeStepper.cpp	(revision 1922)
@@ -21,7 +21,7 @@
     _world  (world),
     _paused (false),
-    _listener (0),
     _auto_pre (false),
     _auto_post (false), 
+    _listener (0),
     _root  (0),
     _step_size (step_size),
@@ -267,6 +267,6 @@
         StepHandler(world, stepModeType, step_size, max_interval, time_scale),
         _dbl_step_size(step_size * 2),
-        _frame_rate (frame_rate),
-        _inv_step_size(1.0 / frame_rate)
+        _inv_step_size(1.0 / frame_rate),
+        _frame_rate (frame_rate)
 {
     if (frame_rate == Ogre::Real(0))
@@ -278,5 +278,5 @@
     {
         _fixed_frame_rate = true;
-        _next_frame_step_count = _frame_rate / (_step_size * _time_scale);
+        _next_frame_step_count = (unsigned int)(_frame_rate / (_step_size * _time_scale));
         if (_next_frame_step_count == 0)
             _next_frame_step_count = 1;
Index: code/branches/physics/src/ogreode/OgreOdeWorld.cpp
===================================================================
--- code/branches/physics/src/ogreode/OgreOdeWorld.cpp	(revision 1920)
+++ code/branches/physics/src/ogreode/OgreOdeWorld.cpp	(revision 1922)
@@ -158,5 +158,5 @@
 size_t World::getAutoSleepAverageSamplesCount()
 {
-    return (Real)dWorldGetAutoDisableAverageSamplesCount(_world);
+    return dWorldGetAutoDisableAverageSamplesCount(_world);
 }
 //------------------------------------------------------------------------------------------------